

const {ccclass, property} = cc._decorator;
 
@ccclass
export default class ListViewItem extends cc.Component {
 
    itemId: number = 0;
 
    onLoad() {
        
    }
 
    /**
     * 不需要重写这个方法
     * @param index 索引从0开始
     * @param data 所有列表数据
     */
    initData(index: number, data: any) {
        this.itemId = index;
        this.init(index, data);
    }
 
    /**
     * 重写这个方法
     * 要在listview中子item继承这个ListViewItem
     * @param index  item索引从0开始
     * @param data  所有列表数据
     */
    init(index: number, data: any) {
 
    }
}